{"title":"Get purchaseInvoiceLines","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_purchaseinvoiceline_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchaseinvoiceline_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchaseinvoiceline_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a purchase invoice line object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":98,"chars":349},{"level":2,"title":"Request headers","slug":"request-headers","at":447,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":519,"chars":61},{"level":2,"title":"Response","slug":"response","at":580,"chars":132},{"level":2,"title":"Example","slug":"example","at":712,"chars":1312},{"level":2,"title":"Related information","slug":"related-information","at":2024,"chars":248}],"text":"Retrieve the properties and relationships of a purchase invoice line object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/purchaseInvoices({id})/purchaseInvoiceLines({purchaseInvoiceLineId})\nGET businesscentralPrefix/companies({id})/purchaseInvoiceLines({purchaseInvoiceLineId})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a purchaseInvoiceLines object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/purchaseInvoices({id})/purchaseInvoiceLines({purchaseInvoiceLineId})\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"dd8db9c0-44e3-ea11-bb43-000d3a2feca1\",\n    \"documentId\": \"5d115c9c-44e3-ea11-bb43-000d3a2feca1\",\n    \"sequence\": 10000,\n    \"itemId\": \"fca5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"accountId\": \"00000000-0000-0000-0000-000000000000\",\n    \"lineType\": \"Item\",\n    \"lineObjectNumber\": \"1896-S\",\n    \"description\": \"ATHENS Desk\",\n    \"unitOfMeasureId\": \"5ca6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"unitOfMeasureCode\": \"PCS\",\n    \"unitCost\": 780.7,\n    \"quantity\": 4,\n    \"discountAmount\": 0,\n    \"discountPercent\": 0,\n    \"discountAppliedBeforeTax\": false,\n    \"amountExcludingTax\": 0,\n    \"taxCode\": \"FURNITURE\",\n    \"taxPercent\": 6.00006,\n    \"totalTaxAmount\": 0,\n    \"amountIncludingTax\": 0,\n    \"invoiceDiscountAllocation\": 0,\n    \"netAmount\": 3122.8,\n    \"netTaxAmount\": 187.37,\n    \"netAmountIncludingTax\": 3310.17,\n    \"expectedReceiptDate\": \"2019-01-01\",\n    \"itemVariantId\": \"00000000-0000-0000-0000-000000000000\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_purchaseinvoiceline\ndynamics_purchaseinvoiceline_delete\ndynamics_purchaseinvoiceline_create\ndynamics_purchaseinvoiceline_update"}